<inp2:adm_SetPopupSize width="800" height="500"/>
<inp2:m_include t="incs/header" />

<inp2:m_RenderElement name="combined_header" section="in-portal:forms" prefix="form" title_preset="forms_edit" tab_preset="Default"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
				a_toolbar = new ToolBar();
				a_toolbar.AddButton( new ToolBarButton('select', '<inp2:m_phrase label="la_ToolTip_Save" escape="1"/>', function() {
							submit_event('form','<inp2:form_SaveEvent/>');
						}
					) );
				a_toolbar.AddButton( new ToolBarButton('cancel', '<inp2:m_phrase label="la_ToolTip_Cancel" escape="1"/>', function() {
							submit_event('form','OnCancelEdit');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				a_toolbar.AddButton( new ToolBarButton('prev', '<inp2:m_phrase label="la_ToolTip_Prev" escape="1"/>', function() {
							go_to_id('form', '<inp2:form_PrevId/>');
						}
				 ) );
				a_toolbar.AddButton( new ToolBarButton('next', '<inp2:m_phrase label="la_ToolTip_Next" escape="1"/>', function() {
							go_to_id('form', '<inp2:form_NextId/>');
						}
				 ) );

				//a_toolbar.AddButton( new ToolBarSeparator('sep2') );

				a_toolbar.Render();

				<inp2:m_if check="form_IsSingle" >
					a_toolbar.HideButton('prev');
					a_toolbar.HideButton('next');
					a_toolbar.HideButton('sep1');
					//a_toolbar.HideButton('sep2');
				<inp2:m_else/>
					<inp2:m_if check="form_IsLast" >
						a_toolbar.DisableButton('next');
					</inp2:m_if>
					<inp2:m_if check="form_IsFirst" >
						a_toolbar.DisableButton('prev');
					</inp2:m_if>
				</inp2:m_if>
			</script>
		</td>
	</tr>
</tbody>
</table>

<inp2:form_SaveWarning name="grid_save_warning"/>
<inp2:form_ErrorWarning name="form_error_warning"/>

<div id="scroll_container">
	<table class="edit-form">
		<inp2:m_RenderElement name="inp_id_label" prefix="form" field="FormId" title="la_fld_Id"/>
		<inp2:m_RenderElement name="inp_edit_box" prefix="form" field="Title" size="100"/>
		<inp2:m_RenderElement name="inp_edit_checkbox" prefix="form" field="RequireLogin" onclick="reflectSecurutyImage();"/>
		<inp2:m_RenderElement name="inp_edit_checkbox" prefix="form" field="UseSecurityImage"/>
		<inp2:m_RenderElement name="inp_edit_box" prefix="form" field="SubmitNotifyEmail"/>
		<inp2:m_RenderElement name="inp_edit_textarea" prefix="form" field="Description" cols="60" rows="5"/>
		<inp2:m_RenderElement name="inp_edit_filler"/>
	</table>
</div>

<script type="text/javascript">
	var $field_mask = '<inp2:form_InputName field="#FIELD_NAME#" js_escape="1"/>';

	function reflectSecurutyImage() {
		var $use_security_image = get_control($field_mask, 'UseSecurityImage', undefined, '_cb');

		if (get_control($field_mask, 'RequireLogin', undefined, '_cb').checked) {
			$use_security_image.checked = false;
			$use_security_image.disabled = true;
		}
		else {
			$use_security_image.disabled = false;
		}
	}

	reflectSecurutyImage();
</script>

<inp2:m_include t="incs/footer"/>